import { QueryConverter } from '../components/UiScrollListModel';
export type DatePeriod = {
    fromDate?: Date;
    toDate?: Date;
};
/**
 * DatePeriod 객체에 toString, toQueryValue, fromQueryValue 함수를 설정한다.
 * @param period
 */
export declare const enhanceDatePeriodObject: (period: DatePeriod) => void;
export declare const datePeriodConverter: QueryConverter<unknown>;
/**
 * months 로부터 DatePeriod 객체를 생성한다.
 * 예를 들어 months=3 이면 3개월 전부터 현재까지의 DatePeriod 가 생성된다.
 */
export declare const createDatePeriodByMonths: (months: number) => DatePeriod;
/**
 * UiDatePeriod 컴포넌트의 초기 값을 가져온다.
 */
export declare const getPeriodSearchInitialValue: (monthListItem?: MonthListItem) => DatePeriod | undefined;
export type MonthListItem = {
    caption: string;
    months?: number;
};
/**
 * 두 DatePeriod 객체가 동일한지 확인한다.
 * @param a
 * @param b
 */
export declare const isDatePeriodEqual: (a?: DatePeriod, b?: DatePeriod) => boolean;
