import { BreakpointKey } from '../config/responsiveConfig';
export type ResponsiveSrc = {
    [key in (BreakpointKey | "default")]?: {
        media?: string;
        src?: string;
        srcset?: string;
    };
};
/**
 * AbsoluteUrl이고, 같은 fileUrl일 때, quality 파라미터(?q=80/&q=80)를 만든다.
 */
export declare const getQualityParamInAbsUrl: (src: string, quality: number) => string;
/**
 *  img 태그 또는 picture 태그에 들어갈 src를 만든다.
 */
export declare const createImageUrl: (quality: number, imageResizeAvailable: boolean, src?: string, width?: number, height?: number) => string | undefined;
