import { Plugin, PropType } from "vue";
import { VueFinalModalProperty } from "vue-final-modal";
/**
 * VueFinalModal 을 사용하기 위한 옵션
 */
export declare const modalOption: {
    key: string;
    componentName: string;
    dynamicContainerName: string;
};
/**
 * VueFinalModal Plugin
 * ```
 * createApp(Main)
 *     .use(ModalPlugin)
 *     .mount('#app')
 * ```
 */
export declare const ModalPlugin: Plugin & {
    modal: VueFinalModalProperty;
};
export type ModalClose = () => void;
export type ModalProps = {
    width?: string | number;
    height?: string | number;
    minWidth?: string | number;
    minHeight?: string | number;
    maxWidth?: string | number;
    maxHeight?: string | number;
    drag?: boolean;
    clickToClose?: boolean;
    escToClose?: boolean;
    transition?: string;
    classes?: string;
};
export declare const modalProps: {
    type: PropType<ModalProps>;
    default: () => ModalProps;
};
export declare const useModal: () => VueFinalModalProperty;
