import {BreakpointKey, BREAKPOINTS} from "@/config/responsiveConfig"

export type BreakpointsOptions = {
  [minWidth in string]?: BreakpointOption
}

export type BreakpointOption = {
  slidesPerView?: number
  spaceBetween?: number
}

export type PropBreakpoint = {
  [breakpointKey in BreakpointKey]?: BreakpointOption
}

export const createBreakpointOptions = (propBreakpoint: PropBreakpoint): BreakpointsOptions => Object.keys(propBreakpoint)
    .reduce<BreakpointsOptions>((acc, current) => {
      acc[BREAKPOINTS[<BreakpointKey>current]] = propBreakpoint[<BreakpointKey>current]
      return acc
    }, {})
