const browserUtil = {
  isMobile(): boolean {
    return /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)
  },

  isSafari(): boolean {
    return /^((?!chrome|android).)*safari/i.test(navigator.userAgent.toLowerCase())
  },

  isIosInAppBrowser(): boolean {
    const userAgent = window.navigator.userAgent.toLowerCase()

    return /iphone|ipod|ipad/.test(userAgent)
        && !window.navigator.standalone
        && !/safari/.test(userAgent)
  },

  isAndroidInAppBrowser(): boolean {
    const userAgent = window.navigator.userAgent.toLowerCase()

    return /android/i.test(userAgent)
        && /wv/i.test(userAgent)
  }
}

export default browserUtil